// VISAterminalDlg.h : header file
//

#pragma once

class CVISADev;

// CVISAterminalDlg dialog
class CVISAterminalDlg : public CDialog
{
// Construction
public:
	CVISAterminalDlg(CWnd* pParent = NULL);	// standard constructor
	~CVISAterminalDlg();

// Dialog Data
	enum { IDD = IDD_VISATERMINAL_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	CVISADev *m_pSMx;
	bool m_bIsConnected;
	CString m_sVisaGenerator;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();

	void InitMeasurement(void);
    void ExitMeasurement(void);
    
	DECLARE_MESSAGE_MAP()
public:

	afx_msg void OnBnClickedConnect();
	afx_msg void OnBnClickedSend();
	CString m_sConnectStatus;
	CString m_sCommand;
	CString m_sReply;
	CString m_sErrorQueue;
	afx_msg void OnBnClickedIdn();
	afx_msg void OnBnClickedRst();
	afx_msg void OnBnClickedOpt();
	afx_msg void OnBnClickedOutp();
};
