#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>

class SCPIsocket;

namespace Ui
{
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

 public slots:
    void browseButtonPressed(void);
    void selectButtonPressed(void);
    void transmitButtonPressed(void);
    void connectButtonPressed(void);

    void connectionCheck(void);

private:
    Ui::MainWindow *ui;

    SCPIsocket *tcpSocket;
    quint16 blockSize;
    bool isConnected;
    bool isLINUX;
    QString fileName;
    QString targetDir;
};

#endif // MAINWINDOW_H
