#ifndef CTCPSOCKET_H
#define CTCPSOCKET_H
#include <QByteArray>
#include <QString>
#include <QTcpSocket>

class CTcpSocket
{
public:
    CTcpSocket();
    ~CTcpSocket();

    int connect2Server( QString &hostname, int port );
    int disconnect();
    int write( QByteArray &txByteArray );
    int read( QByteArray &rxByteArray );

    QString getCurrentHostname();
    int     getCurrentPort();

    void    setTimeout( int iTimeout);
    void    showInfoMsg( bool bShowInfoMsg );

private:
    QTcpSocket    *m_pTcpSocket;
    int           m_iTimeout;
    bool          m_bShowInfoMsg;
};

#endif // CTCPSOCKET_H
